Gallery Platform API
ReferenceGalleryArtworksIdEvents

List artwork activity timeline

Lists an artwork's activity timeline (added, moved, price changed, consigned, ownership, interest, interactions), newest first. Appended automatically as the work changes.

GET
/gallery/artworks/{id}/events

Lists an artwork's activity timeline (added, moved, price changed, consigned, ownership, interest, interactions), newest first. Appended automatically as the work changes.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/gallery/artworks/{id}/events"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "artwork_id": "1a900bf9-a284-4c99-a359-1f6b482d475f",      "event_type": "created",      "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",      "ref_table": "string",      "ref_id": "58ed4a6c-926f-4b2f-b688-ecd86db2ed34",      "summary": "string",      "metadata": {        "property1": null,        "property2": null      },      "occurred_at": "string",      "created_at": "string"    }  ]}